Medicion

com.uva.rafael.tfg_goniometer.data.entities

## Class Medicion

- java.lang.Object
- - com.uva.rafael.tfg_goniometer.data.entities.Medicion

-     public class Medicion
      extends java.lang.Object

  Esta clase modela a la `Entity` "Medicion" de la Base de Datos.

  Se encarga de proveer un metodo para insertar una "Medicion" en la Base de Datos, pasando cada uno de los atributos que componen esta clase a un formato adecuado, por medio de un objeto de tipo `ContentValues`.

  Esta clase forma parte de la aplicacion TFG-Goniometer, desarrollada para el Trabajo de Fin de Grado - Grado en Ingenieria Informatica (Universidad de Valladolid)

  Version:
    1.0
  Author:
    Rafael Matamoros Luque
  See Also:
    `ArticulacionInvolucrada`, `Movimiento`, `ContentValues`, `Contract.MeasurementEntry`

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Medicion(java.lang.String fecha_hora, double lectura, ArticulacionInvolucrada articulacion, Movimiento movimiento, java.lang.String nombrePaciente, int idPaciente)` Constructor principal de la clase

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `android.content.ContentValues` | `toContentValues()` Metodo que se encarga de dar un formato adecuado a cada uno de los atributos de la clase, para, posteriormente, ser insertados en la Base de Datos.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Medicion

          public Medicion(java.lang.String fecha_hora,
                          double lectura,
                          ArticulacionInvolucrada articulacion,
                          Movimiento movimiento,
                          java.lang.String nombrePaciente,
                          int idPaciente)

      Constructor principal de la clase
      Parameters:
        `fecha_hora` - Fecha y hora
        `lectura` - Lectura obtenida del goniometro
        `articulacion` - Articulacion involucrada
        `movimiento` - Movimiento realizado por la articulacion
        `nombrePaciente` - Nombre del paciente

  - ### Method Detail

    - #### toContentValues

          public android.content.ContentValues toContentValues()

      Metodo que se encarga de dar un formato adecuado a cada uno de los atributos de la clase, para, posteriormente, ser insertados en la Base de Datos.
      Returns:
        values `ContentValues` con los atributos de la Medicion ya formateados